OgreGLSLLinkProgram.h File Reference
`#include "OgreGLPrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreHardwareVertexBuffer.h"`

Go to the source code of this file.

## Classes

struct | Ogre::GLUniformReference
| Structure used to keep track of named uniforms in the linked program object. More...
class | Ogre::GLSLLinkProgram
| C++ encapsulation of GLSL Program Object. More...
struct | Ogre::GLSLLinkProgram::CustomAttribute
| Name / attribute list. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector < GLUniformReference >::type | Ogre::GLUniformReferenceList
typedef GLUniformReferenceList::iterator | Ogre::GLUniformReferenceIterator

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24